Now ON TOPIC, libGL.so, libMesaGL.so on missing list of F8 repo's

Todd Denniston Todd.Denniston at ssa.crane.navy.mil
Wed Jul 23 21:06:48 UTC 2008


Gene Heskett wrote, On 07/23/2008 04:52 PM:
> On Wednesday 23 July 2008, Rick Stevens wrote:
<SNIP>
>> I don't have the -devel RPM installed.  My guess is that it's trying
>> to link against the 32-bit library which you don't have installed.
>> You might try:
>>
>> 	LDFLAGS="-L/usr/lib64 -lfaad2" make
>>
>> to have it search the 64-bit stuff first.  Just a wild idea.
> 
> Too wild I think, this is a 32 bit machine, amd xp2800 TBE.
> 
> But: yumex says faad2 is installed, but locate can't find it!  Mm, its libraries 
> are not labeled faad2, just libfaad.
> 

question: is faad2-devel installed?
(often the headers you need to develop [compile] against are in the devel 
package :)

> And nm -D returns this:
> [root at coyote gmerlin-all-in-one-20080715]# nm -D /usr/lib/libfaad.so.0.0.0 | 
> grep faac
> 4948c170 T faacDecClose
> 4948c140 T faacDecDecode
> 4948b740 T faacDecGetCurrentConfiguration
> 4948b700 T faacDecGetErrorMessage
> 4948c460 T faacDecInit
> 4948c240 T faacDecInit2
> 4948c820 T faacDecOpen
> 4948b760 T faacDecPostSeekReset
> 4948c3d0 T faacDecSetConfiguration
> 
> So it is all there.  Me goes off scratching head in confusion.
> 
> Thanks Rick.  Any more ideas?
> 


-- 
Todd Denniston
Crane Division, Naval Surface Warfare Center (NSWC Crane)
Harnessing the Power of Technology for the Warfighter




More information about the users mailing list